Sign in to follow this  
Mrpeanut188

Yes! MineFactory in Tekkit!

Recommended Posts

So, I have a modified modpacks.yml file, but that isn't the point. I gave myself the Tekkit mod, so I could continue creation of the world I was pre-creating for my server. Turns out, there was an update. I updated. When it loaded, it crashed. But that isn't the point. Look at this snip of the error:

"

Mods loaded: 41

*Snip*

mod_MineFactory 1.1.0R1.4.1

mod_MineFactoryCompat_Grass 1.1.0R1.4.1

"

Yes! It is true! But there is a block error. But it is IC2. NOT MineFactory! Yes! Can't wait til Jeb releases the ultra block limit.

"

java.lang.IllegalArgumentException: Slot 249 is already occupied by [email protected] when adding [email protected]

"

http://www.youtube.com/watch?v=P3ALwKeSEYs

^ How I feel.

Share this post


Link to post
Share on other sites

MFR wasn't included, because it doesn't work with BC3.

Really? Because when they listed the Tekkit 2.0 Block IDs BuildCraft was still 2.2.8 and MFR was excluded due to not enough IDs left. Hopefully that will change after 1.2 with Jeb's super-block decision, then there will only be the BC3 problem. I am pretty sure SpaceToad recently released the first stable API already.

[Edit]

Checked, "Other than that, various bug fixes and minor enhancements. Note that the 3.1.x API is now frozen – so if you’re modding, you can start to rely on it. I’m now switching gears, and will start to move 3.x out of the alpha program to make it into beta. This means SMP implementation and documentation. Note that 2.2.x is still the mainstream version at the moment."

-SpaceToad from mod-buildcraft.com

Share this post


Link to post
Share on other sites

Tekkit 2 was disabled because the fixed server we put out will break your map. The Tekkit 2.0 you are playing with, right now, will not be compatible with the fixed version we will put out.

Minefactory is already in Tekkit 2.0, because Tekkit 2.0 is using BC2 since its SMP.

There is a reason it was disabled, I don't get why everyone has such a hard on to play with it when IT WILL BREAK

I swear I am going to ban every single person that complains that the 'new' Tekkit 2.0 doesn't work with the 'old' Tekkit 2.0.

Share this post


Link to post
Share on other sites

You will have to name it 2.1 :)

And I still dont understand why you leaped with the version number.

Up a full version every time MC updates. E.X.: For MC 1.0 there is Versions 1.0-1.4.4. But now that They updated to a new version of MC, then go up to the next complete version number. Same with Technic, it uses to be 5.0.5 then it went to V6.

Share this post


Link to post
Share on other sites

Up a full version every time MC updates. E.X.: For MC 1.0 there is Versions 1.0-1.4.4. But now that They updated to a new version of MC, then go up to the next complete version number. Same with Technic, it uses to be 5.0.5 then it went to V6.

Hmm, makes sense.

Share this post


Link to post
Share on other sites

You have two IC2 clients in your mods folder. Delete one of them.

Found out later, the same problem occurred for Technic.

The only reason I like Tekkit is because of Power Converters. But they don't support the BuildCraft 3 wing.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this